/*
 * score.h
 *
 *  Created on: Feb 13, 2014
 *      Author: brian
 */

#ifndef SCORE_H_
#define SCORE_H_

#include "GameObject.h"

class Score : public GameObject
{
public:
	Score();


  void load(int x, int y, int width, int height, std::string  textureID);
  void load(std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();

  void setScore(int score) {
	  m_score = score;
  }

private:
  int m_score;
  GameObject m_num0;
  GameObject m_num1;
  GameObject m_num2;
  GameObject m_num3;

};


#endif /* SCORE_H_ */
